import { Component, OnInit, Input } from '@angular/core';
import { CommonService } from '../../services/common/common.service';
import { TranslatorService } from '../../services/translator/translator.service';
import { Toggle } from '../../services/models/toggle';

@Component({
  selector: 'info-dialog',
  templateUrl: './info-dialog.component.html',
  styleUrls: ['./info-dialog.component.scss']
})
export class InfoDialogComponent implements OnInit {

  @Input() icon: string;
  @Input() title: string;
  @Input() description: string;
  @Input() toggle: Toggle;
  constructor(public cs: CommonService, public ts: TranslatorService) {
  }

  public isVisible() {
    return this.toggle ? this.toggle.value : false;
  }
  ngOnInit() {
  }

}
